version: '3.8'

services:
  weipan02:
    container_name: weipan02
    image: gits.boolcdn.net/weipan_server:25.10.31
    environment:
      - SERVER_DATE_TIMEZONE=Asia/Shanghai
      # 数据库配置（用于生成 .env 文件）
      - database_hostname=10.0.0.1
      - database_database=0302-2
      - database_username=0302-2
      - database_password=0302-2
      - database_charset=utf8mb4
      - database_hostport=3306
    ports:
      - "8080:80"
    volumes:
      - /www/docker/weipan02/_runtime:/app/runtime
      - /www/docker/weipan02/_upload:/app/public/upload
    networks:
      - docker
    restart: always
    deploy:
      resources:
        limits:
          cpus: "0.25"
          memory: 8gb
networks:
  docker:
    external: true